package de.intevation.flys.client.shared.model;

import java.util.HashMap;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class BooleanProperty extends PropertySetting {

    /**
     * Create a new BooleanProperty for settings.
     */
    public BooleanProperty() {
        this.attributes = new HashMap<String, String>();
    }


    /**
     * Create a new BooleanProperty.
     * @param name The attribute name.
     * @param value The current value.
     */
    public BooleanProperty(
        String name,
        Boolean value)
    {
        this.name = name;
        this.value = value.toString();
        this.attributes = new HashMap<String, String>();
    }


    @Override
    public Boolean getValue() {
        return Boolean.valueOf(this.value);
    }


    public void setValue(Boolean value) {
        this.value = value.toString();
    }


    public Object clone() {
        BooleanProperty clone = new BooleanProperty(this.getName(),
                                                    this.getValue());
        for(String s: this.getAttributeList()) {
            clone.setAttribute(s, this.getAttribute(s));
        }
        return clone;
    }

}
